Программа: Lazarus Guestbook 1.5.4 и 1.6 beta 7, возможно другие версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение. Уязвимость существует из-за недостаточной обработки входных данных в параметре "show" в сценарии lang/codes-english.php и в параметре "img" в сценарии pictures.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости в параметре "img" опция "magic_quotes_gpc" должна быть отключена.

Пример:

http://localhost/lazarusgb/lang/codes-english.php?show=%3C/title%3E[XSS]
http://localhost/lazarusgb/lang/codes-english.php?show=%3C/title%3E <script>alert(document.cookie);</script>



Оставить мнение